from api_graphql.abc.input_abc import InputABC


class DomainCreateInput(InputABC):

    def __init__(self, src: dict):
        InputABC.__init__(self, src)

        self._name = self.option("name", str, required=True)

    @property
    def name(self) -> str:
        return self._name
